Check airtime status

GET/airtime-api/checkstatus/{transaction_id}

Looks up a top-up by your transaction_id. A submitted top-up that the provider reports as failed is marked failed and refunded to your wallet during this call. Limited to 60 requests per minute.

Parameters

  • transaction_idpathstringrequired

    Your reference from Send airtime.

Errors

  • 404Airtime transaction not found

Request

curl -X GET "https://api.bulkclix.com/api/v1/airtime-api/checkstatus/ORDER-2026-000123" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Accept: application/json"

Response · 200

application/json
{
  "message": "Status retrieved successfully",
  "data": {
    "status": "success",
    "transaction_id": "ORDER-2026-000123",
    "ext_transaction_id": "AT-7f3a9c",
    "amount": "10.00",
    "phone_number": "233241234567",
    "network_id": "a1b2c3d4-0000-4000-8000-000000000001"
  }
}